# Uses of Interface
org.eclipse.debug.core.model.IThread

Packages that use IThread
Package
Description
org.eclipse.debug.core.model
Defines interfaces for debug model elements, source lookup, and launching.
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.

## Uses of IThread in org.eclipse.debug.core.model

Methods in org.eclipse.debug.core.model that return IThread
Modifier and Type
Method
Description
`IThread`
IStackFrame.`getThread()`
Returns the thread this stack frame is contained in.
`IThread[]`
IDebugTarget.`getThreads()`
Returns the threads contained in this debug target.

## Uses of IThread in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui with parameters of type IThread
Modifier and Type
Method
Description
`void`
IDebugEditorPresentation.`removeAnnotations(IEditorPart editorPart, IThread thread)`
Removes any debug related annotations from the given editor.